# Uses of Class
org.xnio.channels.AssembledMessageChannel

Packages that use AssembledMessageChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of AssembledMessageChannel in org.xnio.channels

Subclasses of AssembledMessageChannel in org.xnio.channels
Modifier and Type
Class
Description
`class`
`AssembledConnectedMessageChannel`
A connected bidirectional message channel assembled from a readable and writable message channel.
Methods in org.xnio.channels that return types with arguments of type AssembledMessageChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends AssembledMessageChannel>`
AssembledMessageChannel.`getCloseSetter()`
`ChannelListener.Setter<? extends AssembledMessageChannel>`
AssembledMessageChannel.`getReadSetter()`
`ChannelListener.Setter<? extends AssembledMessageChannel>`
AssembledMessageChannel.`getWriteSetter()`